Answer specific survey
POST
/v1/Survey/Recipients/{id}/Respond
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients/example/Respond';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","pages":[{"title":"example","description":"example","sections":[{"title":"example","description":"example","questions":[{"id":1,"ref":"example","title":"example","description":"example","required":true,"questionType":0,"questionScale":{"min":1,"max":1,"minLabel":"example","maxLabel":"example","value":1},"questionText":{"multiLine":true,"value":"example"}}]}]}],"confirmationText":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients/example/Respond \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "pages": [ { "title": "example", "description": "example", "sections": [ { "title": "example", "description": "example", "questions": [ { "id": 1, "ref": "example", "title": "example", "description": "example", "required": true, "questionType": 0, "questionScale": { "min": 1, "max": 1, "minLabel": "example", "maxLabel": "example", "value": 1 }, "questionText": { "multiLine": true, "value": "example" } } ] } ] } ], "confirmationText": "example" }'Answer specific survey. If content question Ids do not match the original, answer will not be accepted
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Id of given recipient
Request Bodyrequired
Section titled “Request Bodyrequired”The survey containing the answers
Media typeapplication/json
object
title
required
string
description
string
pages
required
Array<object>
object
title
string
description
string
sections
required
Array<object>
object
title
string
description
string
questions
required
Array<object>
object
id
integer format: int64
ref
string
title
required
string
description
string
required
boolean
questionType
integer
questionScale
One of:
object
min
required
integer format: int32
max
required
integer format: int32
minLabel
string
maxLabel
string
value
integer format: int64
questionText
One of:
object
multiLine
boolean
value
string
confirmationText
string
Responses
Section titled “Responses”The specified SurveyRecipient structures
Media typeapplication/json
object
id
string format: guid
rev
integer format: int64
surveyId
string format: guid
ref
string
referenceTime
string format: date-time
name
string
emailAddress
string
mobilePhone
string
invitationMethod
integer
sendTime
string format: date-time
remindTime
string format: date-time
callbackUri
string
sentTime
string format: date-time
remindedTime
string format: date-time
openedTime
string format: date-time
respondedTime
string format: date-time
callbackCallCount
integer format: int32
callbackCallSuccess
boolean
callbackCalledTime
string format: date-time
status
integer
replaceParams
object
key
additional properties
string
Example
{ "application/json": { "id": "aa2af7b1-c640-4d4b-a9b2-8eaf68b446b7", "rev": 0, "surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a", "referenceTime": "2025-12-01T07:50:09.6519551+00:00", "name": "Lennart Lennartsbesökare", "emailAddress": "lennart@lennart.se", "mobilePhone": "0701234567", "invitationMethod": 0, "sendTime": "2025-12-01T12:50:09.6519526+00:00", "remindTime": "2025-12-01T17:50:09.6519549+00:00", "callbackCallCount": 0, "callbackCallSuccess": false, "status": 1, "replaceParams": { "name": "Lennart", "personalMsg": "Glöm inte att sälja din freestyle Lennart!" } }}